%global _empty_manifest_terminate_build 0
Name:		python-ovs
Version:	2.11.0
Release:	1
Summary:	Open vSwitch library
License:	Apache 2.0
URL:		http://www.openvswitch.org/
Source0:        https://files.pythonhosted.org/packages/81/06/387b2159ac073de95e484aa6e2f108a232cd906e350307168843061f899f/ovs-%{version}.tar.gz
BuildArch:	noarch


%description
Open vSwitch library

%package -n python3-ovs
Summary:	Open vSwitch library
Provides:	python-ovs
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-ovs
Open vSwitch library

%package help
Summary:	Development documents and examples for ovs
Provides:	python3-ovs-doc
%description help
Development documents and examples for ovs

%prep
%autosetup -n ovs-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-ovs -f filelist.lst
%dir %{python3_sitearch}/*

%files help -f doclist.lst
%{_pkgdocdir}

%changelog
* Thu May 20 2021 Python_Bot <Python_Bot@openeuler.org> -2.11.0-1
- Package Spec generated
